org.apache.fop.render.rtf

## Class RTFFOEventHandlerMaker

- java.lang.Object
- - org.apache.fop.render.AbstractFOEventHandlerMaker
  - - org.apache.fop.render.rtf.RTFFOEventHandlerMaker

    public class RTFFOEventHandlerMaker
    extends AbstractFOEventHandlerMaker

Maker class for RTF support.

### Constructor Summary

Constructors
Constructor and Description
`RTFFOEventHandlerMaker()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String[]` `getSupportedMimeTypes()`
`FOEventHandler` `makeFOEventHandler(FOUserAgent ua, OutputStream out)` Instantiates a new FOEventHandler.
`boolean` `needsOutputStream()`

### Methods inherited from class org.apache.fop.render.AbstractFOEventHandlerMaker

`isMimeTypeSupported`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RTFFOEventHandlerMaker

    public RTFFOEventHandlerMaker()

### Method Detail

#### makeFOEventHandler

    public FOEventHandler makeFOEventHandler(FOUserAgent ua,
                                             OutputStream out)

Instantiates a new FOEventHandler.

Specified by:
  `makeFOEventHandler` in class `AbstractFOEventHandlerMaker`
Parameters:
  `ua` - FOUserAgent
  `out` - OutputStream
Returns:
  created RTFHandler

#### needsOutputStream

    public boolean needsOutputStream()

Specified by:
  `needsOutputStream` in class `AbstractFOEventHandlerMaker`
Returns:
  true, if an outputstream is needed

#### getSupportedMimeTypes

    public String[] getSupportedMimeTypes()

Specified by:
  `getSupportedMimeTypes` in class `AbstractFOEventHandlerMaker`
Returns:
  array of MIME types